Posted on 15-07-2012
Filed Under (技术) by waterlin

WordPress 的自动升级相当方便,可是如果服务器没有配置好,也一样不能自动升级,比如说我的本地测试用 WordPress 升级时就碰到了这样的错误:

Downloading update from http://mu.wordpress.org/wordpress-mu-2.8.6.zip.

Fatal error: Maximum execution time of 60 seconds exceeded in F:\xampp\htdocs\wordpress-mu\wp-includes\http.php on line 1324

这是因为我本地下载 WordPress-MU 升级包的速度太慢了,导致 php 脚本运行超时。

要修复这个错误很简单:把 php.ini 里对于脚本执行时间的限制改得宽松一些,即下面这一行里的数字:

max_execution_time = 60     ; Maximum execution time of each script, in seconds

我本地的测试环境为 Windows XP SP3 加 Xampp 1.6.5,这里值得强调一下的是,如果你本地是用 Xampp 来做开发和测试服务器使用,则需要注意 php.ini 文件的存放路径

Xampp 下的 php.ini 文件,默认位置是在xampp根目录下的 apache\bin 目录里

例如 Xampp 安装在

C:\xampp

那么其对应的 php.ini 文件则是

C:\xampp\apache\bin\php.ini

切记不是

C:\xampp\php\php.ini

弄错了 php.ini 文件位置的后果很严重,很可能不方便你追踪服务器的一系列问题。没有办法采用你设置正确的参数来启动服务器,导致一系列的调试误区。

又例如要在 Xampp 下启用 domxml 扩展,那么就要修改

C:\xampp\apache\bin\php.ini

;extension=php_domxml.dll

前面的分号去掉,还要注意 extension_dir 的位置。

© 2012, 浏忙大爆炸. All rights reserved.
除非注明,浏忙大爆炸文章均为原创,转载请以链接形式标明本文地址。

Comments

Liumangxuxu on 20 July, 2012 at 10:06 pm #

Xampp 在 Windows 下的确使用起来非常方便!

[Reply]

WaterLin Reply:

的确如仁兄所说,用 Xampp 来做开发再好不过了。

[Reply]


Post a Comment
Name:
Email:
Website:
Comments: